List QR Codes

Overview

This endpoint gives a paginated list of all created QR codes, including details like type (STATIC / DYNAMIC), state, merchant information, and extra data (like invoice number and transaction purpose).

Endpoint Details

Definition

Description

Endpoint

https://api.paas.sandbox.co.passportfintech.com/v1/qrcodes

Method

GET

Headers

Content-Type: application/json, Authorization

Authentication

Access Token (Bearer Token)

Query Parameters

Pagination Parameters

Parameter

Description

page_params.page_size

Number of records to return per page.

page_params.page_number

Page number to retrieve.

page_params.first_request_timestamp.seconds

UTC seconds since Unix epoch (1970-01-01T00:00:00Z). Must be between 0001-01-01T00:00:00Z and 9999-12-31T23:59:59Z(inclusive).

page_params.first_request_timestamp.nanos

Nanosecond fraction (0 to 999,999,999). Must be a non-negative value and represents fractional seconds at nanosecond resolution.

Ordering Parameters

Parameter

Description

order_params.order_key

Field used to sort the results.

order_params.order_direction

Sort direction. Allowed values: ORDER_DIRECTION_ENUM_UNSPECIFIED, ASC, DESC.

QR Code Filters

Parameter

Description

qr_code_id

Filters by the unique QR code identifier.

customer_id

Filters by the customer identifier associated with the QR code.

key_id

Filters by the key identifier associated with the QR code.

type

Filters by QR code type (for example, based on the types supported by the integration).

key_value

Filters by the key value associated with the QR code.

key_type

Filters by the key type associated with the QR code (for example, phone, email, document, etc., depending on supported values).

Request Body

This endpoint does not require a request body.

Example Request

curl --location --request GET 'https://api.paas.sandbox.co.passportfintech.com/v1/qrcodes' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \

Response

  • HTTP Code: 200 OK.

Example of Response

{ "pagination_info": { "total_pages": 1, "total_elements": 2, "first_request_timestamp": "2025-10-10T11:52:57.113Z", "current_page": 1 }, "qr_codes": [ { "customer_id": "31eb66c3-f309-48ce-8b12-086f9e76b84c", "status": "ACTIVE", "key": { "key_type": "ID", "key_value": "36606864" }, "vat": { "vat_value": "100.00", "vat_base_value": "100.00", "vat_type": "FIXED" }, "type": "DYNAMIC", "qr_code_data": "00020101021226310015CO.COM.VISI.LLA01083660686449270015CO.COM.VISI.RED0104VISI52045782530317054130000100000.005802CO5914Merchant CWSPZ6006Bogota610598273621020810COLLECTION0103123021035035034560308sasc0193040412340513pago impuesto060400010702010905EMAIL110340080290017CO.COM.VISI.CANAL0104MPOS81260016CO.COM.VISI.CIVA01020282290015CO.COM.VISI.IVA0106100.0083300016CO.COM.VISI.BASE0106100.0084260016CO.COM.VISI.CINC01020285280015CO.COM.VISI.INC010510.0090610017CO.COM.VISI.TRXID01363D8CB42B-9222-46DD-9AB3-67A5DAF3CF4B63042BFB", "acquirer_network_identifier": "VISI", "created_at": "2025-10-10T11:45:24.099819Z", "key_id": "e7f75ffc-22b8-4cfe-884b-8ebcb008b680", "merchant": { "merchant_category_code": "0412", "merchant_country": "CO", "merchant_name": "Merchant CWSPZ", "merchant_city": "Medellin", "merchant_post_code": "101010" }, "additional_info": { "transaction_purpose": "COLLECTION", "invoice_number": "123", "terminal_label": "01", "store_label": "sasc0193", "channel_presentation": "400", "customer_info": "EMAIL", "mobile_phone_number": "3503503456", "customer_label": "0001", "loyalty_label": "1234", "reference_label": "pago impuesto" }, "inc": { "inc_value": "10.00", "inc_type": "FIXED" }, "amount": { "value": "100000", "currency": "COP" }, "channel": "MPOS", "id": "7cc278ab-c8fd-40e9-ad4e-a53db7dcbcf3" }, { "customer_id": "31eb66c3-f309-48ce-8b12-086f9e76b84c", "status": "ACTIVE", "key": { "key_type": "ID", "key_value": "36606864" }, "type": "STATIC", "qr_code_data": "00020101021126310015CO.COM.VISI.LLA01083660686449270015CO.COM.VISI.RED0104VISI5204578253031705802CO5914Merchant CWSPZ6006Bogota61059827362120808PURCHASE80280017CO.COM.VISI.CANAL0103POS90310017CO.COM.VISI.TRXID010600000063045CB4", "acquirer_network_identifier": "VISI", "created_at": "2025-10-10T11:47:52.365840Z", "additional_info": { "transaction_purpose": "PURCHASE" }, "key_id": "e7f75ffc-22b8-4cfe-884b-8ebcb008b680", "merchant": { "merchant_category_code": "0412", "merchant_country": "CO", "merchant_name": "Merchant CWSPZ", "merchant_city": "Medellin", "merchant_post_code": "101010" }, "channel": "POS", "id": "ffd0d013-1fe9-4b36-bf3f-9d9850b5b638" } ] }

Common Errors and Handling

HTTP Status Code

Meaning

Description

400

Bad Request

Invalid parameters or malformed request

401

Unauthorized

Missing/expired bearer token, or token lacks paas.core.qrcodes.list.get scope

403

Forbidden

Caller does not have permission to view QR Codes

404

Not Found

No QR Codes exist for the entity

500

Server Error

Unexpected error; retry or contact support

Best Practices

  • Use pagination_info to iterate through multiple pages when many QR Codes exist.

  • Leverage type (STATIC vs DYNAMIC) to determine use cases (POS, MPOS, invoice collection).

  • Track created_at and id values for reconciliation with transaction logs.